import { ComponentsProps } from './props';
import { ComponentsOverrides } from './overrides';
import { ComponentsVariants } from './variants';

export interface Components {
  MuiAlert?: {
    defaultProps?: ComponentsProps['MuiAlert'];
    styleOverrides?: ComponentsOverrides['MuiAlert'];
    variants?: ComponentsVariants['MuiAlert'];
  };
  MuiAlertTitle?: {
    defaultProps?: ComponentsProps['MuiAlertTitle'];
    styleOverrides?: ComponentsOverrides['MuiAlertTitle'];
    variants?: ComponentsVariants['MuiAlertTitle'];
  };
  MuiAppBar?: {
    defaultProps?: ComponentsProps['MuiAppBar'];
    styleOverrides?: ComponentsOverrides['MuiAppBar'];
    variants?: ComponentsVariants['MuiAppBar'];
  };
  MuiAutocomplete?: {
    defaultProps?: ComponentsProps['MuiAutocomplete'];
    styleOverrides?: ComponentsOverrides['MuiAutocomplete'];
    variants?: ComponentsVariants['MuiAutocomplete'];
  };
  MuiAvatar?: {
    defaultProps?: ComponentsProps['MuiAvatar'];
    styleOverrides?: ComponentsOverrides['MuiAvatar'];
    variants?: ComponentsVariants['MuiAvatar'];
  };
  MuiAvatarGroup?: {
    defaultProps?: ComponentsProps['MuiAvatarGroup'];
    styleOverrides?: ComponentsOverrides['MuiAvatarGroup'];
    variants?: ComponentsVariants['MuiAvatarGroup'];
  };
  MuiBackdrop?: {
    defaultProps?: ComponentsProps['MuiBackdrop'];
    styleOverrides?: ComponentsOverrides['MuiBackdrop'];
    variants?: ComponentsVariants['MuiBackdrop'];
  };
  MuiBadge?: {
    defaultProps?: ComponentsProps['MuiBadge'];
    styleOverrides?: ComponentsOverrides['MuiBadge'];
    variants?: ComponentsVariants['MuiBadge'];
  };
  MuiBottomNavigation?: {
    defaultProps?: ComponentsProps['MuiBottomNavigation'];
    styleOverrides?: ComponentsOverrides['MuiBottomNavigation'];
    variants?: ComponentsVariants['MuiBottomNavigation'];
  };
  MuiBottomNavigationAction?: {
    defaultProps?: ComponentsProps['MuiBottomNavigationAction'];
    styleOverrides?: ComponentsOverrides['MuiBottomNavigationAction'];
    variants?: ComponentsVariants['MuiBottomNavigationAction'];
  };
  MuiBreadcrumbs?: {
    defaultProps?: ComponentsProps['MuiBreadcrumbs'];
    styleOverrides?: ComponentsOverrides['MuiBreadcrumbs'];
    variants?: ComponentsVariants['MuiBreadcrumbs'];
  };
  MuiButton?: {
    defaultProps?: ComponentsProps['MuiButton'];
    styleOverrides?: ComponentsOverrides['MuiButton'];
    variants?: ComponentsVariants['MuiButton'];
  };
  MuiButtonBase?: {
    defaultProps?: ComponentsProps['MuiButtonBase'];
    styleOverrides?: ComponentsOverrides['MuiButtonBase'];
    variants?: ComponentsVariants['MuiButtonBase'];
  };
  MuiButtonGroup?: {
    defaultProps?: ComponentsProps['MuiButtonGroup'];
    styleOverrides?: ComponentsOverrides['MuiButtonGroup'];
    variants?: ComponentsVariants['MuiButtonGroup'];
  };
  MuiCard?: {
    defaultProps?: ComponentsProps['MuiCard'];
    styleOverrides?: ComponentsOverrides['MuiCard'];
    variants?: ComponentsVariants['MuiCard'];
  };
  MuiCardActionArea?: {
    defaultProps?: ComponentsProps['MuiCardActionArea'];
    styleOverrides?: ComponentsOverrides['MuiCardActionArea'];
    variants?: ComponentsVariants['MuiCardActionArea'];
  };
  MuiCardActions?: {
    defaultProps?: ComponentsProps['MuiCardActions'];
    styleOverrides?: ComponentsOverrides['MuiCardActions'];
    variants?: ComponentsVariants['MuiCardActions'];
  };
  MuiCardContent?: {
    defaultProps?: ComponentsProps['MuiCardContent'];
    styleOverrides?: ComponentsOverrides['MuiCardContent'];
    variants?: ComponentsVariants['MuiCardContent'];
  };
  MuiCardHeader?: {
    defaultProps?: ComponentsProps['MuiCardHeader'];
    styleOverrides?: ComponentsOverrides['MuiCardHeader'];
    variants?: ComponentsVariants['MuiCardHeader'];
  };
  MuiCardMedia?: {
    defaultProps?: ComponentsProps['MuiCardMedia'];
    styleOverrides?: ComponentsOverrides['MuiCardMedia'];
    variants?: ComponentsVariants['MuiCardMedia'];
  };
  MuiCheckbox?: {
    defaultProps?: ComponentsProps['MuiCheckbox'];
    styleOverrides?: ComponentsOverrides['MuiCheckbox'];
    variants?: ComponentsVariants['MuiCheckbox'];
  };
  MuiChip?: {
    defaultProps?: ComponentsProps['MuiChip'];
    styleOverrides?: ComponentsOverrides['MuiChip'];
    variants?: ComponentsVariants['MuiChip'];
  };
  MuiCircularProgress?: {
    defaultProps?: ComponentsProps['MuiCircularProgress'];
    styleOverrides?: ComponentsOverrides['MuiCircularProgress'];
    variants?: ComponentsVariants['MuiCircularProgress'];
  };
  MuiCollapse?: {
    defaultProps?: ComponentsProps['MuiCollapse'];
    styleOverrides?: ComponentsOverrides['MuiCollapse'];
    variants?: ComponentsVariants['MuiCollapse'];
  };
  MuiContainer?: {
    defaultProps?: ComponentsProps['MuiContainer'];
    styleOverrides?: ComponentsOverrides['MuiContainer'];
    variants?: ComponentsVariants['MuiContainer'];
  };
  /**
   * @deprecated See CssBaseline.d.ts
   */
  MuiCssBaseline?: {
    defaultProps?: ComponentsProps['MuiCssBaseline'];
    styleOverrides?: ComponentsOverrides['MuiCssBaseline'];
    variants?: ComponentsVariants['MuiCssBaseline'];
  };
  MuiDialog?: {
    defaultProps?: ComponentsProps['MuiDialog'];
    styleOverrides?: ComponentsOverrides['MuiDialog'];
    variants?: ComponentsVariants['MuiDialog'];
  };
  MuiDialogActions?: {
    defaultProps?: ComponentsProps['MuiDialogActions'];
    styleOverrides?: ComponentsOverrides['MuiDialogActions'];
    variants?: ComponentsVariants['MuiDialogActions'];
  };
  MuiDialogContent?: {
    defaultProps?: ComponentsProps['MuiDialogContent'];
    styleOverrides?: ComponentsOverrides['MuiDialogContent'];
    variants?: ComponentsVariants['MuiDialogContent'];
  };
  MuiDialogContentText?: {
    defaultProps?: ComponentsProps['MuiDialogContentText'];
    styleOverrides?: ComponentsOverrides['MuiDialogContentText'];
    variants?: ComponentsVariants['MuiDialogContentText'];
  };
  MuiDialogTitle?: {
    defaultProps?: ComponentsProps['MuiDialogTitle'];
    styleOverrides?: ComponentsOverrides['MuiDialogTitle'];
    variants?: ComponentsVariants['MuiDialogTitle'];
  };
  MuiDivider?: {
    defaultProps?: ComponentsProps['MuiDivider'];
    styleOverrides?: ComponentsOverrides['MuiDivider'];
    variants?: ComponentsVariants['MuiDivider'];
  };
  MuiDrawer?: {
    defaultProps?: ComponentsProps['MuiDrawer'];
    styleOverrides?: ComponentsOverrides['MuiDrawer'];
    variants?: ComponentsVariants['MuiDrawer'];
  };
  MuiAccordion?: {
    defaultProps?: ComponentsProps['MuiAccordion'];
    styleOverrides?: ComponentsOverrides['MuiAccordion'];
    variants?: ComponentsVariants['MuiAccordion'];
  };
  MuiAccordionActions?: {
    defaultProps?: ComponentsProps['MuiAccordionActions'];
    styleOverrides?: ComponentsOverrides['MuiAccordionActions'];
    variants?: ComponentsVariants['MuiAccordionActions'];
  };
  MuiAccordionDetails?: {
    defaultProps?: ComponentsProps['MuiAccordionDetails'];
    styleOverrides?: ComponentsOverrides['MuiAccordionDetails'];
    variants?: ComponentsVariants['MuiAccordionDetails'];
  };
  MuiAccordionSummary?: {
    defaultProps?: ComponentsProps['MuiAccordionSummary'];
    styleOverrides?: ComponentsOverrides['MuiAccordionSummary'];
    variants?: ComponentsVariants['MuiAccordionSummary'];
  };
  MuiFab?: {
    defaultProps?: ComponentsProps['MuiFab'];
    styleOverrides?: ComponentsOverrides['MuiFab'];
    variants?: ComponentsVariants['MuiFab'];
  };
  MuiFilledInput?: {
    defaultProps?: ComponentsProps['MuiFilledInput'];
    styleOverrides?: ComponentsOverrides['MuiFilledInput'];
    variants?: ComponentsVariants['MuiFilledInput'];
  };
  MuiFormControl?: {
    defaultProps?: ComponentsProps['MuiFormControl'];
    styleOverrides?: ComponentsOverrides['MuiFormControl'];
    variants?: ComponentsVariants['MuiFormControl'];
  };
  MuiFormControlLabel?: {
    defaultProps?: ComponentsProps['MuiFormControlLabel'];
    styleOverrides?: ComponentsOverrides['MuiFormControlLabel'];
    variants?: ComponentsVariants['MuiFormControlLabel'];
  };
  MuiFormGroup?: {
    defaultProps?: ComponentsProps['MuiFormGroup'];
    styleOverrides?: ComponentsOverrides['MuiFormGroup'];
    variants?: ComponentsVariants['MuiFormGroup'];
  };
  MuiFormHelperText?: {
    defaultProps?: ComponentsProps['MuiFormHelperText'];
    styleOverrides?: ComponentsOverrides['MuiFormHelperText'];
    variants?: ComponentsVariants['MuiFormHelperText'];
  };
  MuiFormLabel?: {
    defaultProps?: ComponentsProps['MuiFormLabel'];
    styleOverrides?: ComponentsOverrides['MuiFormLabel'];
    variants?: ComponentsVariants['MuiFormLabel'];
  };
  MuiGrid?: {
    defaultProps?: ComponentsProps['MuiGrid'];
    styleOverrides?: ComponentsOverrides['MuiGrid'];
    variants?: ComponentsVariants['MuiGrid'];
  };
  MuiImageList?: {
    defaultProps?: ComponentsProps['MuiImageList'];
    styleOverrides?: ComponentsOverrides['MuiImageList'];
    variants?: ComponentsVariants['MuiImageList'];
  };
  MuiImageListItem?: {
    defaultProps?: ComponentsProps['MuiImageListItem'];
    styleOverrides?: ComponentsOverrides['MuiImageListItem'];
    variants?: ComponentsVariants['MuiImageListItem'];
  };
  MuiImageListItemBar?: {
    defaultProps?: ComponentsProps['MuiImageListItemBar'];
    styleOverrides?: ComponentsOverrides['MuiImageListItemBar'];
    variants?: ComponentsVariants['MuiImageListItemBar'];
  };
  MuiIcon?: {
    defaultProps?: ComponentsProps['MuiIcon'];
    styleOverrides?: ComponentsOverrides['MuiIcon'];
    variants?: ComponentsVariants['MuiIcon'];
  };
  MuiIconButton?: {
    defaultProps?: ComponentsProps['MuiIconButton'];
    styleOverrides?: ComponentsOverrides['MuiIconButton'];
    variants?: ComponentsVariants['MuiIconButton'];
  };
  MuiInput?: {
    defaultProps?: ComponentsProps['MuiInput'];
    styleOverrides?: ComponentsOverrides['MuiInput'];
    variants?: ComponentsVariants['MuiInput'];
  };
  MuiInputAdornment?: {
    defaultProps?: ComponentsProps['MuiInputAdornment'];
    styleOverrides?: ComponentsOverrides['MuiInputAdornment'];
    variants?: ComponentsVariants['MuiInputAdornment'];
  };
  MuiInputBase?: {
    defaultProps?: ComponentsProps['MuiInputBase'];
    styleOverrides?: ComponentsOverrides['MuiInputBase'];
    variants?: ComponentsVariants['MuiInputBase'];
  };
  MuiInputLabel?: {
    defaultProps?: ComponentsProps['MuiInputLabel'];
    styleOverrides?: ComponentsOverrides['MuiInputLabel'];
    variants?: ComponentsVariants['MuiInputLabel'];
  };
  MuiLinearProgress?: {
    defaultProps?: ComponentsProps['MuiLinearProgress'];
    styleOverrides?: ComponentsOverrides['MuiLinearProgress'];
    variants?: ComponentsVariants['MuiLinearProgress'];
  };
  MuiLink?: {
    defaultProps?: ComponentsProps['MuiLink'];
    styleOverrides?: ComponentsOverrides['MuiLink'];
    variants?: ComponentsVariants['MuiLink'];
  };
  MuiList?: {
    defaultProps?: ComponentsProps['MuiList'];
    styleOverrides?: ComponentsOverrides['MuiList'];
    variants?: ComponentsVariants['MuiList'];
  };
  MuiListItem?: {
    defaultProps?: ComponentsProps['MuiListItem'];
    styleOverrides?: ComponentsOverrides['MuiListItem'];
    variants?: ComponentsVariants['MuiListItem'];
  };
  MuiListItemButton?: {
    defaultProps?: ComponentsProps['MuiListItemButton'];
    styleOverrides?: ComponentsOverrides['MuiListItemButton'];
    variants?: ComponentsVariants['MuiListItemButton'];
  };
  MuiListItemAvatar?: {
    defaultProps?: ComponentsProps['MuiListItemAvatar'];
    styleOverrides?: ComponentsOverrides['MuiListItemAvatar'];
    variants?: ComponentsVariants['MuiListItemAvatar'];
  };
  MuiListItemIcon?: {
    defaultProps?: ComponentsProps['MuiListItemIcon'];
    styleOverrides?: ComponentsOverrides['MuiListItemIcon'];
    variants?: ComponentsVariants['MuiListItemIcon'];
  };
  MuiListItemSecondaryAction?: {
    defaultProps?: ComponentsProps['MuiListItemSecondaryAction'];
    styleOverrides?: ComponentsOverrides['MuiListItemSecondaryAction'];
    variants?: ComponentsVariants['MuiListItemSecondaryAction'];
  };
  MuiListItemText?: {
    defaultProps?: ComponentsProps['MuiListItemText'];
    styleOverrides?: ComponentsOverrides['MuiListItemText'];
    variants?: ComponentsVariants['MuiListItemText'];
  };
  MuiListSubheader?: {
    defaultProps?: ComponentsProps['MuiListSubheader'];
    styleOverrides?: ComponentsOverrides['MuiListSubheader'];
    variants?: ComponentsVariants['MuiListSubheader'];
  };
  MuiMenu?: {
    defaultProps?: ComponentsProps['MuiMenu'];
    styleOverrides?: ComponentsOverrides['MuiMenu'];
    variants?: ComponentsVariants['MuiMenu'];
  };
  MuiMenuItem?: {
    defaultProps?: ComponentsProps['MuiMenuItem'];
    styleOverrides?: ComponentsOverrides['MuiMenuItem'];
    variants?: ComponentsVariants['MuiMenuItem'];
  };
  MuiMobileStepper?: {
    defaultProps?: ComponentsProps['MuiMobileStepper'];
    styleOverrides?: ComponentsOverrides['MuiMobileStepper'];
    variants?: ComponentsVariants['MuiMobileStepper'];
  };
  MuiModal?: {
    defaultProps?: ComponentsProps['MuiModal'];
    styleOverrides?: ComponentsOverrides['MuiModal'];
    variants?: ComponentsVariants['MuiModal'];
  };
  MuiNativeSelect?: {
    defaultProps?: ComponentsProps['MuiNativeSelect'];
    styleOverrides?: ComponentsOverrides['MuiNativeSelect'];
    variants?: ComponentsVariants['MuiNativeSelect'];
  };
  MuiOutlinedInput?: {
    defaultProps?: ComponentsProps['MuiOutlinedInput'];
    styleOverrides?: ComponentsOverrides['MuiOutlinedInput'];
    variants?: ComponentsVariants['MuiOutlinedInput'];
  };
  MuiPagination?: {
    defaultProps?: ComponentsProps['MuiPagination'];
    styleOverrides?: ComponentsOverrides['MuiPagination'];
    variants?: ComponentsVariants['MuiPagination'];
  };
  MuiPaginationItem?: {
    defaultProps?: ComponentsProps['MuiPaginationItem'];
    styleOverrides?: ComponentsOverrides['MuiPaginationItem'];
    variants?: ComponentsVariants['MuiPaginationItem'];
  };
  MuiPaper?: {
    defaultProps?: ComponentsProps['MuiPaper'];
    styleOverrides?: ComponentsOverrides['MuiPaper'];
    variants?: ComponentsVariants['MuiPaper'];
  };
  MuiPopover?: {
    defaultProps?: ComponentsProps['MuiPopover'];
    styleOverrides?: ComponentsOverrides['MuiPopover'];
    variants?: ComponentsVariants['MuiPopover'];
  };
  MuiRadio?: {
    defaultProps?: ComponentsProps['MuiRadio'];
    styleOverrides?: ComponentsOverrides['MuiRadio'];
    variants?: ComponentsVariants['MuiRadio'];
  };
  MuiRating?: {
    defaultProps?: ComponentsProps['MuiRating'];
    styleOverrides?: ComponentsOverrides['MuiRating'];
    variants?: ComponentsVariants['MuiRating'];
  };
  MuiScopedCssBaseline?: {
    defaultProps?: ComponentsProps['MuiScopedCssBaseline'];
    styleOverrides?: ComponentsOverrides['MuiScopedCssBaseline'];
    variants?: ComponentsVariants['MuiScopedCssBaseline'];
  };
  MuiSelect?: {
    defaultProps?: ComponentsProps['MuiSelect'];
    styleOverrides?: ComponentsOverrides['MuiSelect'];
    variants?: ComponentsVariants['MuiSelect'];
  };
  MuiSkeleton?: {
    defaultProps?: ComponentsProps['MuiSkeleton'];
    styleOverrides?: ComponentsOverrides['MuiSkeleton'];
    variants?: ComponentsVariants['MuiSkeleton'];
  };
  MuiSlider?: {
    defaultProps?: ComponentsProps['MuiSlider'];
    styleOverrides?: ComponentsOverrides['MuiSlider'];
    variants?: ComponentsVariants['MuiSlider'];
  };
  MuiSnackbar?: {
    defaultProps?: ComponentsProps['MuiSnackbar'];
    styleOverrides?: ComponentsOverrides['MuiSnackbar'];
    variants?: ComponentsVariants['MuiSnackbar'];
  };
  MuiSnackbarContent?: {
    defaultProps?: ComponentsProps['MuiSnackbarContent'];
    styleOverrides?: ComponentsOverrides['MuiSnackbarContent'];
    variants?: ComponentsVariants['MuiSnackbarContent'];
  };
  MuiSpeedDial?: {
    defaultProps?: ComponentsProps['MuiSpeedDial'];
    styleOverrides?: ComponentsOverrides['MuiSpeedDial'];
    variants?: ComponentsVariants['MuiSpeedDial'];
  };
  MuiSpeedDialAction?: {
    defaultProps?: ComponentsProps['MuiSpeedDialAction'];
    styleOverrides?: ComponentsOverrides['MuiSpeedDialAction'];
    variants?: ComponentsVariants['MuiSpeedDialAction'];
  };
  MuiSpeedDialIcon?: {
    defaultProps?: ComponentsProps['MuiSpeedDialIcon'];
    styleOverrides?: ComponentsOverrides['MuiSpeedDialIcon'];
    variants?: ComponentsVariants['MuiSpeedDialIcon'];
  };
  MuiStep?: {
    defaultProps?: ComponentsProps['MuiStep'];
    styleOverrides?: ComponentsOverrides['MuiStep'];
    variants?: ComponentsVariants['MuiStep'];
  };
  MuiStepButton?: {
    defaultProps?: ComponentsProps['MuiStepButton'];
    styleOverrides?: ComponentsOverrides['MuiStepButton'];
    variants?: ComponentsVariants['MuiStepButton'];
  };
  MuiStepConnector?: {
    defaultProps?: ComponentsProps['MuiStepConnector'];
    styleOverrides?: ComponentsOverrides['MuiStepConnector'];
    variants?: ComponentsVariants['MuiStepConnector'];
  };
  MuiStepContent?: {
    defaultProps?: ComponentsProps['MuiStepContent'];
    styleOverrides?: ComponentsOverrides['MuiStepContent'];
    variants?: ComponentsVariants['MuiStepContent'];
  };
  MuiStepIcon?: {
    defaultProps?: ComponentsProps['MuiStepIcon'];
    styleOverrides?: ComponentsOverrides['MuiStepIcon'];
    variants?: ComponentsVariants['MuiStepIcon'];
  };
  MuiStepLabel?: {
    defaultProps?: ComponentsProps['MuiStepLabel'];
    styleOverrides?: ComponentsOverrides['MuiStepLabel'];
    variants?: ComponentsVariants['MuiStepLabel'];
  };
  MuiStepper?: {
    defaultProps?: ComponentsProps['MuiStepper'];
    styleOverrides?: ComponentsOverrides['MuiStepper'];
    variants?: ComponentsVariants['MuiStepper'];
  };
  MuiSvgIcon?: {
    defaultProps?: ComponentsProps['MuiSvgIcon'];
    styleOverrides?: ComponentsOverrides['MuiSvgIcon'];
    variants?: ComponentsVariants['MuiSvgIcon'];
  };
  MuiSwitch?: {
    defaultProps?: ComponentsProps['MuiSwitch'];
    styleOverrides?: ComponentsOverrides['MuiSwitch'];
    variants?: ComponentsVariants['MuiSwitch'];
  };
  MuiTab?: {
    defaultProps?: ComponentsProps['MuiTab'];
    styleOverrides?: ComponentsOverrides['MuiTab'];
    variants?: ComponentsVariants['MuiTab'];
  };
  MuiTable?: {
    defaultProps?: ComponentsProps['MuiTable'];
    styleOverrides?: ComponentsOverrides['MuiTable'];
    variants?: ComponentsVariants['MuiTable'];
  };
  MuiTableBody?: {
    defaultProps?: ComponentsProps['MuiTableBody'];
    styleOverrides?: ComponentsOverrides['MuiTableBody'];
    variants?: ComponentsVariants['MuiTableBody'];
  };
  MuiTableCell?: {
    defaultProps?: ComponentsProps['MuiTableCell'];
    styleOverrides?: ComponentsOverrides['MuiTableCell'];
    variants?: ComponentsVariants['MuiTableCell'];
  };
  MuiTableContainer?: {
    defaultProps?: ComponentsProps['MuiTableContainer'];
    styleOverrides?: ComponentsOverrides['MuiTableContainer'];
    variants?: ComponentsVariants['MuiTableContainer'];
  };
  MuiTableFooter?: {
    defaultProps?: ComponentsProps['MuiTableFooter'];
    styleOverrides?: ComponentsOverrides['MuiTableFooter'];
    variants?: ComponentsVariants['MuiTableFooter'];
  };
  MuiTableHead?: {
    defaultProps?: ComponentsProps['MuiTableHead'];
    styleOverrides?: ComponentsOverrides['MuiTableHead'];
    variants?: ComponentsVariants['MuiTableHead'];
  };
  MuiTablePagination?: {
    defaultProps?: ComponentsProps['MuiTablePagination'];
    styleOverrides?: ComponentsOverrides['MuiTablePagination'];
    variants?: ComponentsVariants['MuiTablePagination'];
  };
  MuiTableRow?: {
    defaultProps?: ComponentsProps['MuiTableRow'];
    styleOverrides?: ComponentsOverrides['MuiTableRow'];
    variants?: ComponentsVariants['MuiTableRow'];
  };
  MuiTableSortLabel?: {
    defaultProps?: ComponentsProps['MuiTableSortLabel'];
    styleOverrides?: ComponentsOverrides['MuiTableSortLabel'];
    variants?: ComponentsVariants['MuiTableSortLabel'];
  };
  MuiTabs?: {
    defaultProps?: ComponentsProps['MuiTabs'];
    styleOverrides?: ComponentsOverrides['MuiTabs'];
    variants?: ComponentsVariants['MuiTabs'];
  };
  MuiTextField?: {
    defaultProps?: ComponentsProps['MuiTextField'];
    styleOverrides?: ComponentsOverrides['MuiTextField'];
    variants?: ComponentsVariants['MuiTextField'];
  };
  MuiToggleButton?: {
    defaultProps?: ComponentsProps['MuiToggleButton'];
    styleOverrides?: ComponentsOverrides['MuiToggleButton'];
    variants?: ComponentsVariants['MuiToggleButton'];
  };
  MuiToggleButtonGroup?: {
    defaultProps?: ComponentsProps['MuiToggleButtonGroup'];
    styleOverrides?: ComponentsOverrides['MuiToggleButtonGroup'];
    variants?: ComponentsVariants['MuiToggleButtonGroup'];
  };
  MuiToolbar?: {
    defaultProps?: ComponentsProps['MuiToolbar'];
    styleOverrides?: ComponentsOverrides['MuiToolbar'];
    variants?: ComponentsVariants['MuiToolbar'];
  };
  MuiTooltip?: {
    defaultProps?: ComponentsProps['MuiTooltip'];
    styleOverrides?: ComponentsOverrides['MuiTooltip'];
    variants?: ComponentsVariants['MuiTooltip'];
  };
  MuiTouchRipple?: {
    defaultProps?: ComponentsProps['MuiTouchRipple'];
    styleOverrides?: ComponentsOverrides['MuiTouchRipple'];
    variants?: ComponentsVariants['MuiTouchRipple'];
  };
  MuiTypography?: {
    defaultProps?: ComponentsProps['MuiTypography'];
    styleOverrides?: ComponentsOverrides['MuiTypography'];
    variants?: ComponentsVariants['MuiTypography'];
  };
  MuiUseMediaQuery?: {
    defaultProps?: ComponentsProps['MuiUseMediaQuery'];
  };
}
